Bug 205372 - [patch] sysutils/tmux interprets literal characters as commands
Summary: [patch] sysutils/tmux interprets literal characters as commands
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mathieu Arnold
URL: https://github.com/tmux/tmux/commit/8...
Keywords: easy, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-12-17 08:33 UTC by me
Modified: 2015-12-19 18:05 UTC (History)
0 users

See Also:
bugzilla: maintainer-feedback? (mat)
mat: merge-quarterly-


Attachments
patch adds upstream git commit 8c8cddbe02 to the port (1.19 KB, patch)
2015-12-17 08:33 UTC, me
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description me 2015-12-17 08:33:36 UTC
Created attachment 164306 [details]
patch adds upstream git commit 8c8cddbe02 to the port

If you press any key during the repeat-time, it will be interpreted as a command, even if it is not a repeatable key binding.

For example with default settings, if you switch a pane and press 'c' less than half a second later, you create a new window -- instead of entering a literal 'c'.

This bug is the same as Debian #803393 and they fixed it with upstream git commit 8c8cddbe02 (see URL).

The patch attached adds 8c8cddbe02 as a patch to the port. This fixes the problem for me.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2015-12-17 10:50:56 UTC
Thank you Jan :)
Comment 2 commit-hook freebsd_committer 2015-12-17 17:20:12 UTC
A commit references this bug:

Author: mat
Date: Thu Dec 17 17:19:29 UTC 2015
New revision: 403912
URL: https://svnweb.freebsd.org/changeset/ports/403912

Log:
  Fix a regression in 2.1 where tmux was misshandling key strokes if you
  started typing too fast after a tmux command.

  PR:		205372
  Submitted by:	me jahn de
  Obtained from:	https://github.com/tmux/tmux/commit/8c8cddbe022af5ece9949804cacffbee6b8972fa
  MFH:		2015Q4
  Sponsored by:	Absolight

Changes:
  head/sysutils/tmux/Makefile
  head/sysutils/tmux/files/patch-server-client.c
Comment 3 commit-hook freebsd_committer 2015-12-17 17:23:16 UTC
A commit references this bug:

Author: mat
Date: Thu Dec 17 17:22:25 UTC 2015
New revision: 403914
URL: https://svnweb.freebsd.org/changeset/ports/403914

Log:
  MFH: r403912

  Fix a regression in 2.1 where tmux was misshandling key strokes if you
  started typing too fast after a tmux command.

  PR:		205372
  Submitted by:	me jahn de
  Obtained from:	https://github.com/tmux/tmux/commit/8c8cddbe022af5ece9949804cacffbee6b8972fa
  Sponsored by:	Absolight

Changes:
_U  branches/2015Q4/
  branches/2015Q4/sysutils/tmux/Makefile
  branches/2015Q4/sysutils/tmux/files/patch-server-client.c
Comment 4 commit-hook freebsd_committer 2015-12-18 14:27:54 UTC
A commit references this bug:

Author: mat
Date: Fri Dec 18 14:27:23 UTC 2015
New revision: 403965
URL: https://svnweb.freebsd.org/changeset/ports/403965

Log:
  MFH: -r403912

  backout commit r403914, the quarterly branch has 2.0, not 2.1.

  Fix a regression in 2.1 where tmux was misshandling key strokes if you
  started typing too fast after a tmux command.

  PR:		205372
  Submitted by:	me jahn de
  Obtained from:	https://github.com/tmux/tmux/commit/8c8cddbe022af5ece9949804cacffbee6b8972fa
  Sponsored by:	Absolight

Changes:
_U  branches/2015Q4/
  branches/2015Q4/sysutils/tmux/Makefile
  branches/2015Q4/sysutils/tmux/files/patch-server-client.c